local L = LibStub("AceLocale-3.0"):NewLocale("RollMaster", "enUS", true)

-- This is the default translation!
if L then
	-- IMPORTANT!!! THIS HAVE TO MATCH THE "Random_roll_result" to collect rolls!
	L["^(.+) rolls (%d+) %((%d+)%-(%d+)%)$"] = "^(.+) rolls (%d+) %((%d+)%-(%d+)%)$" -- Roll result string - VERY important, this HAS to match.
		
	-- Announcements!
	L["Rolls for nextItem has ended!"] = function(nextItem) -- "Rolls for X-item has ended!"
		return "Rolls for " ..nextItem.. " has ended!"
	end
	L["Roll: nextItem - 1 second left!"] = function(nextItem) -- 1 second left!
		return "Roll: " .. nextItem .. " - 1 second left!"
	end
	L["Roll: nextItem - 2 seconds left!"] = function(nextItem) -- 2 seconds left!
		return "Roll: " .. nextItem .. " - 2 seconds left!"
	end
	L["Roll: nextItem - 3 seconds left!"] = function(nextItem) -- 2 seconds left!
		return "Roll: " .. nextItem .. " - 3 seconds left!"
	end
	L["Rerolls for nextItem has started. Roll again if you rolled highestRoll! You have 7 seconds to /roll!"] = function(nextItem, highestRoll) -- Reroll announcement
		return "Rerolls for ".. nextItem.. " has started. Roll again if you rolled "..highestRoll.."! You have 7 seconds to /roll!"
	end
	L["Mainspec rolls for nextItem has started! You have 10 seconds to /roll!"] = function(nextItem) -- Mainspec rolls started!
		return "Mainspec rolls for ".. nextItem.. " has started! You have 10 seconds to /roll!"
	end
	L["Offspec rolls for nextItem has started! You have 10 seconds to /roll!"] = function(nextItem) -- Offspec rolls started!
		return "Offspec rolls for ".. nextItem.. " has started! You have 10 seconds to /roll!"
	end
	L["name have won the rolls for nextItem! Congratulation!"] = function(name, nextItem) -- Winner announcement! (1)
		return name.. " have won the rolls for ".. nextItem.. "! Congratulation!"
	end
	L["nameServer rolled more then once. Second rolls will be ignored!"] = function(nameServer)
		return nameServer.. " rolled more then once. Second rolls will be ignored!"
	end
	
	-- Top of the "roll" list!
	L["|cffffffffName:"] = "|cffffffffName:" --change "Name"!
	L["|cffffffffRoll"] = "|cffffffffRoll" --change "Roll"!
	
	-- Buttons in mainFrame
	L["|cffffffffStart Rolls!"] = "|cffffffffStart Rolls!" -- "cffffffff" is the colorStart Rolls!
	L["|cffffffffRaid Roll!"] = "|cffffffffRaid Roll!" --"cffffffff" is the color Raid roll!
	L["|cffffffffPick an Item!"] = "|cffffffffPick an Item!" -- "cffffffff" is the color. Button text.
	L["|cffffffffOffspec"] = "|cffffffffOffspec" -- "cffffffff" is the color. Offspec!
	L["|cffffffffAward Loot!"] = "|cffffffffAward Loot!" -- "cffffffff" is the color.  Award loot!
	
	-- Debug/prints
	L["Reroll required - 2 or more people at max roll"] = "Reroll required - 2 or more people at max roll" -- Trying to award loot when 2 people at highest roll.
	L["No one rolled."] = "No one rolled." -- Trying to award loot when noone rolled. This should never be displayed.
end